Outpost logoOutpost Docs

Get the origination pool and its summary

GET
/v1/pool

Get the configured End User Messaging pool metadata and a summary of numbers (by country)

x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/pool"
{  "pool": {    "poolArn": "string",    "poolId": "string",    "status": "string",    "messageType": "string",    "twoWayEnabled": true,    "twoWayChannelArn": "string",    "twoWayChannelRole": "string",    "selfManagedOptOutsEnabled": true,    "sharedRoutesEnabled": true,    "deletionProtectionEnabled": true,    "createdTimestamp": 0  },  "summary": {    "totalNumbers": 0,    "countryCounts": {      "property1": 0,      "property2": 0    }  }}